Read Latest Artifact
curl --request GET \
--url https://api.example.com/artifacts/{key}/latestimport requests
url = "https://api.example.com/artifacts/{key}/latest"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/artifacts/{key}/latest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"key": "<string>",
"type": "<string>",
"description": "<string>",
"data": {},
"metadata_": {},
"flow_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"task_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Artifacts
Read Latest Artifact
Retrieve the latest artifact from the artifact table.
GET
/
artifacts
/
{key}
/
latest
Read Latest Artifact
Headers
Path Parameters
The key of the artifact to retrieve.
Response
Successful Response
An optional unique reference key for this artifact.
An identifier that describes the shape of the data field. e.g. 'result', 'table', 'markdown'
A markdown-enabled description of the artifact.
Data associated with the artifact, e.g. a result.; structure depends on the artifact type.
User-defined artifact metadata. Content must be string key and value pairs.
Show child attributes
Show child attributes
The flow run associated with the artifact.
The task run associated with the artifact.
Was this page helpful?